Copyright (C) 1992, Ken Elliott III
        All Rights Reserved
$Id: helptxt.i%v 1.1 1992/04/20 01:56:35 elliott Exp $

AUTOGENERAL

This screen is divided into three major areas (also referred to as sections),
each of which has items you need to set up: the type of bets (e.g., pass,
come) that you want to make; when you want the simulation to stop; and
whether you want CrapSim to display what it's doing.  At the bottom of the
screen there are four buttons.  When you have your bets, stopping criteria,
etc. set up to your satisfaction, click on the OK button to actually enter
auto-play mode, or press the CANCEL button to just move back to the
interactive mode of the simulator.  Whatever you set up is saved in either
case, so the next time you get on the auto-play setup screen, your most
recent settings are the current ones.  The INFO button presents this text,
while the SETTINGS button displays your current bet types, strategies, etc.

CrapSim can keep track of a maximum of about 20 million series, which is
about 70 million rolls of the dice or so, assuming you have 550,000 bytes of
free memory and a ton (about 1 Gigabyte, which is 1,000,000,000 bytes) when
you start the simulator. Disk space is the limiting factor; the best way to
estimate it is that each Megabyte (1,000,000 bytes) of free disk space will
hold about 20,000 series, which equates to about 70,000 rolls of the dice.

PAGE

Each item you can set up has a check box next to it.  If a given item is
active (i.e., you have selected it), it will have a checkmark in the box;
otherwise, the box is empty.  Most of the boxes will prompt you for input
when you select them.  The specifics of the inputs for each of the boxes can
be accessed through on-line help, or by just trying it out.

In the course of entering your settings, you may notice that the "Types of
Betting" heading which was yellow before has turned red.  This means that
you haven't specified any bets to make, and of course CrapSim needs at least
one bet in order to enter auto-play mode.

To choose an item to set up, simply move the highlight box with the up and
down arrow keys, and when the box is on the item you want to input, press
"enter" on your keyboard.  If you want to use the mouse, simply click on the
item you want to select.  Note that some of the items require additional
input, and so a pop-up input window will appear to ask for that input.
Others act as toggles; for instance, if a stopping criteria item has a check
in its box, clicking on that item will un-check the box.  Clicking on a
stopping criteria that is un-checked will cause CrapSim to prompt you for
some information pertaining to the item you clicked on.

PAGE

Clicking with the middle button will give you help on the input item you
click on (for instance, click on the text "Right Betting" for help on that
input), while typing F1 will give you help on the currently highlighted area
(which is a little different from the way F1 works in interactive mode).
Setting up auto-play mode can be a little confusing at first, but once you
get the hang of it, it should be no problem.  It may help to establish a
pattern; for instance, first select the type of betting pattern you want,
and establish the betting strategies as you go along.  Next, decide what
your stopping criteria will be, and set those.  Finally, select the display
or no display option, depending on whether you want to watch or not.  A good
compromise is to select display, but set the delay at 0 milliseconds.
Experiment and see what works best for you; remember, you're not going to
break the program by trying something new!

WRONGBET

Wrong bettors have the choice of making a don't pass bet with odds and 0 to
6 don't come bets with odds.  You do not have to make a don't pass bet in
order to make a don't come bet, and you don't have to lay odds on any of the
bets if you don't want to.  You will be prompted for each of the bets, and
asked about the odds for each bet.  For example, if you specified 2 don't
come bets, you could decide to lay the odds on your first don't come bet,
but not on the second.  CrapSim will always lay the maximum allowable odds
on bets where you indicate you want odds.  You will be prompted for betting
patterns for each of the bets you indicate you want.  Once the simulator is
running, CrapSim will continue making don't come bets until it reaches the
number you specify, or you seven out.  It will also make the don't pass bets
at the appropriate time. Note that if a don't come bet loses (when the
shooter repeats the don't come point) or pushes (if the shooter rolls a 12),
it is automatically re-made for you.  

RIGHTBET

Right bettors have the choice of making a pass line bet with odds and 0 to 6
come bets with odds.  You do not have to make a pass line bet in order to
make a come bet, and you don't have to take odds on any of the bets if you
don't want to.  You will be prompted for each of the bets, and asked about
the odds for each bet.  For example, if you specified 2 come bets, you could
decide to take the odds on your first come bet, but not on the second.
CrapSim will always take the maximum allowable odds on bets where you
indicate you want odds.  You will be prompted for betting patterns for each
of the bets you indicate you want.  Once the simulator is running, CrapSim
will continue making come bets until it reaches the number you specify, or
you seven out.  It will also make the pass line bets at the appropriate
time. Note that if a come bet wins (when the shooter repeats the come point)
it is automatically re-made for you.  

PBLBETS

This item allows you to specify box number bets on each of the numbers:
place to win, place to lose, buy, and lay.  For each number (4, 5, 6, 8, 9,
10) you can only specify one of the four bets (for instance, you can't have
a place bet on the 4 to win and a buy 4 bet at the same time); you should
never want to do this anyway.  You can also specify whether you want CrapSim
to make the bet even if the number you'd be betting on is already covered
(for instance, if you had a come 6 bet out and you'd specified that you
wanted to buy the 6 only if the 6 wasn't covered, then as long as the come
6 bet was out CrapSim would not buy the 6).  After you pick the box numbers
you want to bet on and the type of bets, you'll be prompted for betting
strategies for each.

LOWERLIM

This selection will allow you to enter a lower dollar limit for your
bankroll.  If during the simulation your bankroll gets below this amount,
the simulation will stop.  This item acts as a toggle.  If the box is
un-checked and you select this item, you will be prompted for the lower
limit.  If the box is checked and you select this item, then the box becomes
un-checked (meaning this stopping criterion is *not* going to be in effect).

UPPERLIM

This selection will allow you to enter an upper dollar limit for your
bankroll.  If during the simulation your bankroll should somehow increase
past this amount, the simulation will stop.  This item acts as a toggle.  If
the box is un-checked and you select this item, you will be prompted for the
upper limit.  If the box is checked and you select this item, then the box
becomes un-checked (meaning this stopping criterion is *not* going to be in
effect).

MAXROLLS

This selection allows you to specify the number of rolls the simulation is
going to last.  Once this number of rolls has been performed, the simulation
will stop.  This item acts as a toggle.  If the box is un-checked and you
select this item, you will be prompted for the number of rolls.  If the box
is checked and you select this item, then the box becomes un-checked (meaning
this stopping criterion is *not* going to be in effect).

SERIESLOSE

This selection allows you to specify how many losing series you're willing
to tolerate in a row.  A losing series is defined as a series where the
amount of money you lost is greater than the amount of money you won; it is
*not* based on whether the dice passed or not.  A push (where the amount of
money you lost equals the amount of money you won) also counts as a loss.
If you have losing series this many times in a row, the simulation will
terminate.  This item acts as a toggle.  If the box is un-checked and you
select this item, you will be prompted for the number of series.  If the box
is checked and you select this item, then the box becomes un-checked
(meaning this stopping criterion is *not* going to be in effect).

SERIESWIN

This selection allows you to specify how many winning series you're willing
to tolerate in a row.  A winning series is defined as a series where the
amount of money you won is greater than the amount of money you lost; it is
*not* based on whether the dice passed or not.  A push (where the amount of
money you lost equals the amount of money you won) counts as a loss.  If you
have winning series this many times in a row, the simulation will
terminate.  This item acts as a toggle.  If the box is un-checked and you
select this item, you will be prompted for the number of series.  If the box
is checked and you select this item, then the box becomes un-checked
(meaning this stopping criterion is *not* going to be in effect).

MONEYLOSE

This selection allows you to specify the maximum amount of money you'll lose
in consecutive series before quitting.  This is calculated on a per-series
basis; that is, the net gain or loss is calculated for each series.  If
you've had consecutive losing series and the total amount you've lost is
more than the amount entered here, the simulator will stop.  This item acts
as a toggle.  If the box is un-checked and you select this item, you will be
prompted for the dollar amount.  If the box is checked and you select this
item, then the box becomes un-checked (meaning this stopping criterion is
*not* going to be in effect).

MONEYWIN

This selection allows you to specify the maximum amount of money you'll win
in consecutive series before quitting.  This is calculated on a per-series
basis; that is, the net gain or loss is calculated for each series.  If
you've had consecutive winning series and the total amount you've won is
more than the amount entered here, the simulator will stop.  This item acts
as a toggle.  If the box is un-checked and you select this item, you will be
prompted for the dollar amount.  If the box is checked and you select this
item, then the box becomes un-checked (meaning this stopping criterion is
*not* going to be in effect).

AUTODISPLAY

This selection allows you to watch CrapSim make, pay off, and collect all of
the bets you've specified as the simulation is running.  The bankroll, roll
number, and series number are also updated.  When this item is selected, you
will be prompted to enter a delay (in milliseconds; 1000 milliseconds make
one second) between rolls of the dice to get a closer look at what is going
on.  For instance, if you entered 2500 as a delay, CrapSim would wait 2.5
seconds every time before rolling the dice.

AUTONODISPLAY

This selection shuts of the display of the bet making process, so
simulations run in this mode run much faster than those with the display
turned on. The bankroll value, marker puck, roll number, and series number
*are* displayed in this mode, though.

FLATBET

This is a set amount to bet every time this bet is to be made.  You will be
prompted for the amount you want to bet.

CONSTINCWIN

This option allows you to specify a base bet amount and also an amount to
increase *your last bet* by on consecutive wins.  You will be prompted for
both the base amount and the increment. For example, if you entered $5 as
your base bet and $8 as your increment, then your bets for consecutive wins
would look like: $5, $13, $21, $29, etc.  Note that the "win" refers to how
your bet performed, and not whether the dice passed or not.  As soon as you
lose a bet, you start over at the base amount.

CONSTINCLOSE

This option allows you to specify a base bet amount and also an amount to
increase *your last bet* by on consecutive losses.  You will be prompted for
both the base amount and the increment. For example, if you entered $5 as
your base bet and $8 as your increment, then your bets for consecutive
losses would look like: $5, $13, $21, $29, etc.  Note that the "loss" refers
to how your bet performed, and not whether the dice passed or not.  As soon
as you win a bet, you start over at the base amount.

USERDEFWIN

This option lets you enter the amount you want to bet on each consecutive
win, up to 25 wins in a row.  The first bet is the minimum bet, the next is
the amount to bet after you've won one in a row, the next is the amount to
bet after you've won two in a row, etc.  If you want to start over before
you've reached 25 wins, simply enter a 0.  For example, lets say you want to
double your previous bet on consecutive wins for 5 wins, keep it at that
level for 3 more wins, and then drop back to your minimum bet and start the
cycle over.  If your minimum bet were $5, then you would enter the
following: 5, 10, 20, 40, 80, 80, 80, 80, 0.  On the other hand, you could
enter the "crazy man's betting pattern": 5, 80, 3, 2000, 15, 17, 17, 16, 0;
CrapSim places no restrictions (other than the numbers have to be positive;
between the table minimum and maximum limits; and for place bets to lose and
lay bets, evenly divisible for correct payoffs) on what your betting pattern
is.  As soon as you reach the end of the pattern or you lose the bet, you
start over at the base amount.

USERDEFLOSE

This option applies to the pass or don't pass bet, and lets you enter the
amount you want to bet on each consecutive loss, up to 25 losses in a row.
The first bet is the minimum bet, the next is the amount to bet after you've
lost one in a row, the next is the amount to bet after you've lost two in a
row, etc.  If you want to start over before you've reached 25 losses, simply
enter a 0.  For example, lets say you want to double your previous bet on
consecutive losses for 5 losses, keep it at that level for 3 more losses,
and then drop back to your minimum bet and start the cycle over.  If your
minimum bet were $5, then you would enter the following: 5, 10, 20, 40, 80,
80, 80, 80, 0.  On the other hand, you could enter the "crazy man's betting
pattern": 5, 80, 3, 2000, 15, 17, 17, 16, 0; CrapSim places no restrictions
(other than the numbers have to be positive; between the table minimum and
maximum limits; and for place bets to lose and lay bets, evenly divisible
for correct payoffs) on what your betting pattern is.  As soon as you reach
the end of the pattern or you win the bet, you start over at the base amount.

BOXBETIN

This screen is used to indicate which type of box number bet you wish to
make, and whether to make it even if the number is already covered by
another bet of yours (say, a pass line bet or a come bet).  The gray
highlight box can be moved using the arrow keys, or you can click on a box
with the mouse.  If you are using the arrow keys, position the highlight box
over the box you wish to toggle, and press return.  If the highlighted box
is currently un-checked, it will be checked; if it's checked, it will become
un-checked.  The first column, when checked (by itself) indicates that you
want to place that number to win.  The second column (by itself) indicates
that you want to place that number to lose.  You can only have one of these
two columns checked at one time for a given number.  The third column can
only be checked if one of the first two columns is checked. If the third
column and the first column are checked, it indicates a buy bet for that
number; if the third column and the second column are checked, then it
indicates a lay bet on that number.  The final column, when checked,
indicates that CrapSim will always make that bet, regardless of whether that
number is already covered by another one of your specified bets.

PAGE

The OK button will accept the inputs and prompt you for betting patterns for
each of the bets you just specified.  Note that if you hit CANCEL from the
main betting pattern screen, the bet will be canceled (i.e., it's as if you
never checked it).  Be sure to check the SETTINGS before you begin your
simulation.  The ERASE ALL button is used to clear all of the checkmarks
from all of the boxes. The CANCEL button exits this input, erasing all
changes you've made since you entered.

ENDOFHELP
